package cn.estsh.i3plus.pojo.andon.sqlpack;

import cn.estsh.i3plus.pojo.andon.bean.MesWorkCell;
import cn.estsh.i3plus.pojo.andon.bean.MesWorkCenter;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import org.apache.commons.lang3.StringUtils;

/**
 * @Description : 安灯对象查询封装
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2019-05-10 10:45
 * @Modify:
 **/
public class AndonHqlPack {
    /**
     * 封装公用查询参数
     *
     * @param bean   实体对象
     * @param hqlStr 查询语句
     * @return 封装完成的查询语句
     */
    public static DdlPackBean getStringBuilderPack(BaseBean bean, DdlPackBean hqlStr) {

        // 判断工厂代码是否为空
        if (StringUtils.isNotBlank(bean.getOrganizeCode())) {
            DdlPreparedPack.getStringEqualPack(bean.getOrganizeCode(), "organizeCode", hqlStr);
        }

        // 封装有效状态和删除状态
        DdlPreparedPack.getNumEqualPack(bean.getIsValid(), "isValid", hqlStr);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), "isDeleted", hqlStr);

        return hqlStr;
    }

    /**
     * 按条件查询工作中心
     * @param mesWorkCenter
     * @return
     */
    public static DdlPackBean packHqlMesWorkCenter(MesWorkCenter mesWorkCenter){
        DdlPackBean result = new DdlPackBean();

        getStringBuilderPack(mesWorkCenter, result);

        return result;
    }

    /**
     * 按条件查询工作单元（工位）
     * @param mesWorkCell
     * @return
     */
    public static DdlPackBean packHqlMesWorkCell(MesWorkCell mesWorkCell){
        DdlPackBean result = new DdlPackBean();

        DdlPreparedPack.getStringEqualPack(mesWorkCell.getWorkCenterCode(), "workCenterCode", result);
        getStringBuilderPack(mesWorkCell, result);

        return result;
    }
}
